<?php
class UserManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'result' => 'out', 
'users' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'domainId' => 'string' 
), 
'add' => array( 
'result' => 'out', 
'users' => 'array', 
'domainId' => 'string' 
), 
'update' => array( 
'result' => 'out', 
'userIds' => 'array', 
'details' => 'array', 
'domainId' => 'string' 
), 
'remove' => array( 
'result' => 'out', 
'userIds' => 'array', 
'domainId' => 'string' 
), 
'getAdUsers' => array( 
'result' => 'out', 
'users' => 'out', 
'domainName' => 'string', 
'server' => 'string', 
'credentials' => 'array', 
), 
'importAdUsers' => array( 
'result' => 'out', 
'domainName' => 'string', 
'server' => 'string', 
'credentials' => 'array', 
), 
'getNtUsers' => array( 
'result' => 'out', 
'users' => 'out', 
'domainName' => 'string' 
), 
'importNtUsers' => array( 
'result' => 'out', 
'domainName' => 'string' 
), 
'convertLocalUsers' => array( 
'domainId' => 'string' 
), 
'getSupportedLanguages' => array( 
'languages' => 'out' 
), 
'getMySettings' => array( 
'settings' => 'out' 
), 
'setMySettings' => array( 
'settings' => 'array' 
), 
); 
protected $x_24b = array('entityName'=>webadmin_EntityUser, 
'tuples' => array(array('name' => webadmin_userName, 'kind' => kerio_web_ByteLength, 'values' => array('127')), 
array('name' => webadmin_userName, 'kind' => kerio_web_Regex, 'values' => array('/^[^@"\'\\\\]*$/')), 
array('name' => webadmin_userNameDomain, 'kind' => kerio_web_ByteLength, 'values' => array('127')), 
array('name' => webadmin_userNameDomain, 'kind' => kerio_web_Regex, 'values' => array('/^[^"\'\\\\]*$/')), 
array('name' => kerio_web_email, 'kind' => kerio_web_ByteLength, 'values' => array('127')), 
array('name' => kerio_web_email, 'kind' => kerio_web_Regex, 'values' => array('/^[-a-zA-Z0-9_!=\+]+(\.[-a-zA-Z0-9_!=\+]+)*@[-a-zA-Z0-9_]+(\.[-a-zA-Z0-9_]+)*$/')) 
) 
); 
public function get(&$x_232, &$x_286, &$x_23z, $x_248, $x_285) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->get(&$x_232, &$x_286, &$x_23z, $x_248, $x_285); 
} 
return false; 
} 
public function add(&$x_232, $x_286, $x_285) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->create(&$x_232, $x_286, $x_285); 
} 
return false; 
} 
public function update(&$x_232, $x_287, $x_243, $x_285) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_287, $x_243, $x_285); 
} 
return false; 
} 
public function remove(&$x_232, $x_287, $x_285) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->remove(&$x_232, $x_287, $x_285); 
} 
return false; 
} 
public function getAdUsers(&$x_232, &$x_286, $x_237, $x_23a, $x_239) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->getAdUsers(&$x_232, &$x_286, $x_237, $x_23a, $x_239); 
} 
return false; 
} 
public function importAdUsers(&$x_232, $x_237, $x_23a, $x_239) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->importAdUsers(&$x_232, $x_237, $x_23a, $x_239); 
} 
return false; 
} 
public function getNtUsers(&$x_232, &$x_286, $x_237) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->getNtUsers(&$x_232, &$x_286, $x_237); 
} 
return false; 
} 
public function importNtUsers(&$x_232, $x_237) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->importNtUsers(&$x_232, $x_237); 
} 
return false; 
} 
public function convertLocalUsers($x_285) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->convertLocalUsers($x_285); 
} 
return false; 
} 
public function getSupportedLanguages(&$x_27v) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->getSupportedLanguages(&$x_27v); 
} 
return false; 
} 
public function getMySettings(&$x_288) { 
$x_235 = kerio('webadmin::UserManager'); 
if ($x_235) { 
return $x_235->getMySettings(&$x_288); 
} 
return false; 
} 
public function setMySettings($x_288) { 
$x_235 = kerio('webadmin::UserManager'); 
$x_235->getMySettings(&$x_289); 
foreach ($x_288 as $x_28a => $x_25i) { 
$x_289[$x_28a] = $x_25i; 
} 
if ($x_235) { 
return $x_235->setMySettings($x_289); 
} 
return false; 
} 
}; 
?>
